.loader-line {
    width: 100%;
    height: 4px;
    position: relative;
    overflow: hidden;
    background-color: color-mix(in srgb, var(--color-primary) 40%, transparent);
}

.loader-line:before {
    content: "";
    position: absolute;
    left: -50%;
    height: 4px;
    width: 40%;
    background-color: var(--color-primary);
    -webkit-animation: lineAnim 1.5s linear infinite;
    -moz-animation: lineAnim 1.5s linear infinite;
    animation: lineAnim 1.5s linear infinite;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
}

@keyframes lineAnim {
    0% {
        left: -40%;
    }

    50% {
        left: 20%;
        width: 80%;
    }

    100% {
        left: 100%;
        width: 100%;
    }
}


#tabs .ui-tabs-active {
    background-color: var(--color-base-100);
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
    border-radius: 5px;

}



#slidebar {
    transition: all 300ms;
}

#toggler_btn {
    transition: all 300ms;
    transform: rotate(180deg);

}

div {
    transition: all 300ms;
}